com.ftdi.javad2xxdemo.ft4222

## Class FT4222I2CFragment

- java.lang.Object
- - Fragment
  - - com.ftdi.javad2xxdemo.ft4222.FT4222I2CFragment

-     public class FT4222I2CFragment
      extends Fragment

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT4222I2CFragment()`
    `FT4222I2CFragment(Context parentContext, D2xxManager ftdid2xxContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendData(char[] data, int len, boolean isMaster)`
    `void` | `ConnectFunction()`
    `int` | `getShownIndex()`
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` Called when the activity is first created.
    `void` | `onDestroyView()`
    `void` | `updateReadData(int displayActualNumBytes, boolean isMaster)`
    `void` | `writeData(boolean isMaster)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FT4222I2CFragment

          public FT4222I2CFragment()

    - #### FT4222I2CFragment

          public FT4222I2CFragment(Context parentContext,
                           D2xxManager ftdid2xxContext)

  - ### Method Detail

    - #### getShownIndex

          public int getShownIndex()

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      Called when the activity is first created.

    - #### updateReadData

          public void updateReadData(int displayActualNumBytes,
                            boolean isMaster)

    - #### ConnectFunction

          public void ConnectFunction()

    - #### writeData

          public void writeData(boolean isMaster)

    - #### appendData

          public void appendData(char[] data,
                        int len,
                        boolean isMaster)

    - #### onDestroyView

          public void onDestroyView()

About FTDI | FTDI Licence Terms